Subject: Re: bug#594: plasma-workspace: KRunner starts programs in the filesystem root

From: Mark Hindley <[email-masked]>
Date: Fri, 23 Jul 2021 15:57:32 +0100

Hannah,

On Fri, Jul 23, 2021 at 04:39:26PM +0200, Hannah Rittich wrote:
> Hi,
> 
> > If even then it is still not present on the clean bullseye
> > sysvinit install, I suspect a configuration change on the Devuan
> > system. AFAIK all the relevant packages are the same between
> > chimaera and bullseye.
> 
> it seems that I cannot change the init system on Bullseye to reproduce the
> error, because if I try to install sysvinit-core, apt wants to remove the
> plasma-workspace package.

Yes, switching init in Debian is difficult. However, if you persist, it should
work out -- you will be able to reinstall plasma-workspace on top of
libpam-elogind once systemd is removed.

> Is there something I can try, to reproduce the problem on Debian? Shall I
> still report to Debian's BTS while stating it can only be reproduced on
> Devuan?
> 
> I have done some further investigation. If you start krunner on Bullseye,
> the krunner process is owned by "/lib/systemd/systemd --user" and the
> working directory is my home directory. On Chimaera, krunner is owned by
> init and the working directory is the file-system root.

Great, that explains it. So the bug is present on non-systemd systems (Debian or
Devuan) and it will be present in bullseye with sysvinit. systemd --user hides
it or works around it.

Thanks for investigating more.

Mark